# Method: backups.list

- [HTTP request](https://docs.cloud.google.com/managed-microsoft-ad/reference/rest/v1/projects.locations.global.domains.backups/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/managed-microsoft-ad/reference/rest/v1/projects.locations.global.domains.backups/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/managed-microsoft-ad/reference/rest/v1/projects.locations.global.domains.backups/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/managed-microsoft-ad/reference/rest/v1/projects.locations.global.domains.backups/list#body.request_body)
- [Response body](https://docs.cloud.google.com/managed-microsoft-ad/reference/rest/v1/projects.locations.global.domains.backups/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/managed-microsoft-ad/reference/rest/v1/projects.locations.global.domains.backups/list#body.ListBackupsResponse.SCHEMA_REPRESENTATION)
- [Authorization Scopes](https://docs.cloud.google.com/managed-microsoft-ad/reference/rest/v1/projects.locations.global.domains.backups/list#body.aspect)
- [Try it!](https://docs.cloud.google.com/managed-microsoft-ad/reference/rest/v1/projects.locations.global.domains.backups/list#try-it)

**Full name**: projects.locations.global.domains.backups.list

Lists Backup in a given project.

### HTTP request

`GET https://managedidentities.googleapis.com/v1/{parent=projects/*/locations/global/domains/*}/backups`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The domain resource name using the form: `projects/{projectId}/locations/global/domains/{domainName}` Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `managedidentities.backups.list` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of items to return. If not specified, a default value of 1000 will be used by the service. Regardless of the pageSize value, the response may include a partial list and a caller should only rely on response's `https://docs.cloud.google.com/managed-microsoft-ad/reference/rest/v1/projects.locations.global.domains.backups/list#body.ListBackupsResponse.FIELDS.next_page_token` to determine if there are more instances left to be queried. |
| `pageToken` | `string` Optional. The `nextPageToken` value returned from a previous List request, if any. |
| `filter` | `string` Optional. Filter specifying constraints of a list operation. |
| `orderBy` | `string` Optional. Specifies the ordering of results following syntax at <https://cloud.google.com/apis/design/design_patterns#sorting_order>. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:
ListBackupsResponse is the response message for backups.list method.

| JSON representation |
|---|
| ``` { "backups": [ { object (`https://docs.cloud.google.com/managed-microsoft-ad/reference/rest/v1/projects.locations.global.domains.backups#Backup`) } ], "nextPageToken": string, "unreachable": [ string ] } ``` |

| Fields ||
|---|---|
| `backups[]` | ``object (`https://docs.cloud.google.com/managed-microsoft-ad/reference/rest/v1/projects.locations.global.domains.backups#Backup`)`` A list of Cloud AD backups in the domain. |
| `nextPageToken` | `string` Token to retrieve the next page of results, or empty if there are no more results in the list. |
| `unreachable[]` | `string` Locations that could not be reached. |

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).